Page MenuHomePhabricator

Upgrade Grafana to 6.7
Closed, ResolvedPublic

Event Timeline

fgiunchedi renamed this task from Upgrade Grafana to 6.4 to Upgrade Grafana to 6.6.Feb 5 2020, 5:02 PM
jijiki triaged this task as Medium priority.Feb 7 2020, 10:37 AM

See also T119719 when Grafana 6.7 is released

fgiunchedi renamed this task from Upgrade Grafana to 6.6 to Upgrade Grafana to 6.7.Mar 20 2020, 1:21 PM
fgiunchedi updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-operations) [2020-04-06T12:04:22Z] <godog> test grafana 6.7.2 upgrade on grafana2001 - T244208

Change 586344 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] hieradata: move grafana-next to grafana2001

https://gerrit.wikimedia.org/r/586344

Change 586344 merged by Filippo Giunchedi:
[operations/puppet@production] hieradata: move grafana-next to grafana2001

https://gerrit.wikimedia.org/r/586344

Grafana 6.7.2 is running on https://grafana-next.wikimedia.org and AFAICT is running as expected. I ran into a problem (couldn't login anymore) after the database sync happened with grafana1002, although that is expected I believe. A restart of grafana-server fixed the issue temporarily.

I'll go ahead with the upgrade on both production and WMCS on Wed, unless other issues pop up

Mentioned in SAL (#wikimedia-operations) [2020-04-08T08:39:12Z] <godog> upgrade grafana on grafana1002 - T244208

Production upgrade is successful, next up is WMCS. cc cloud-services-team

Mentioned in SAL (#wikimedia-operations) [2020-04-08T09:20:14Z] <godog> upgrade grafana on cloudmetrics hosts - T244208